Get the Build Version and Daily Maintenance Window Time (v2)

This REST API returns information about the current build version and the scheduled daily maintenance window start time.

Required Roles

Service Administrator, or any predefined role and the Migrations - Administer granular role

REST Resource

GET /interop/rest/v2/maintenance/getdailymaintenancestarttime

Request

Table 11-3 Parameters

Name Description Type Required Default
showTimeZone Displays the time in the time zone specified while setting it Query No false

Example URL

https://<BASE URL>/interop/rest/v2/maintenance/getdailymaintenancestarttime?showTimeZone=true

Response

Supported Media Types: application/json

Table 11-4 Parameters

Parameters Description
details In case of errors, details are published with the error string
status See Migration Status Codes
items Detailed information about the API
amwTime

Scheduled start time of the daily maintenance window in 24-hour format in Etc/UTC timezone by default or in the specified time zone when the "showTimeZone" optional parameter is true.

buildVersion Current build version
links Detailed information about the link
href Links to API call
action The HTTP call type
rel Possible value: self
data null

Example of Response Body

{
    "details": null,
    "status": 0,
    "items": [
        {
            "buildVersion": "22.09.40",
            "amwTime": "19:00",
            "timeZone": "Etc/UTC"
        }
    ],
    "links": [
        {
            "href": "https://<BASE URL>/interop/rest/v2/maintenance/getdailymaintenancestarttime",
            "action": "GET",
            "rel": "self",
            "data": null
        }
    ]
}

Sample cURL command

curl -X GET -s -u '<USERNAME>:<PASSWORD>' -o response.txt -D respHeader.txt -H 'Content-Type: application/json' 'https://<BASE URL>/interop/rest/v2/maintenance/getdailymaintenancestarttime?showTimeZone=true'